
#ifndef CLASS060_HPP
#define CLASS060_HPP
class Observation_specimen_requirement
	{
	/*design in subject "Master_tables" */
	/*design in subject "Observation_service_catalog_item" */

	/*design comment 
:/%Description%/A specification of specimen requirements for test/obsevation service catalog items which require a specimen.
*/
public:
private:
	/*design comment additive_codes 
:/%Description%/A code for the additive required for the collected specimen used in the associated observation service type.
*/
	int additive_codes;
	/*design comment container_description 
:/%Description%/A description of the contrainer requirements for a specimen collected for the observation service type.  The description includes specification of the physical appearance, including color of tube tops, shape, and material composition (e.g., red top glass tube).
*/
	int container_description;
	/*design comment container_volume_amount 
:/%Description%/A specification of the containers volume capacity.  
*/
	int container_volume_amount;
	/*design comment derived_specimen_code 
:/%Description%/A code identifying derived specimens relative to the observation service type.  For some diagnostic studies the initial specimen is processed to produce results.  The process also produces new "specimens" and these are studied by a second order process.
*/
	int derived_specimen_code;
	/*design comment minimum_collection_volume_amount 
:/%Description%/The amount of specimen needed by the most specimen sparing method.
*/
	int minimum_collection_volume_amount;
	/*design comment normal_collection_volume_amount 
:/%Description%/A specification of the normal specimen volume required.  This is the amount used by the normal methods and provides enough specimens to repeat the procedure at least once.
*/
	int normal_collection_volume_amount;
	/*design comment preparation_description 
:/%Description%/The special processing that should be applied to the container (e.g., add acidifying tablets before sending).
*/
	int preparation_description;
	/*design comment spec_handling_requirements_descr 
:/%Description%/Special handling requirements for the collected specimen.
*/
	int spec_handling_requirements_descr;
	/*design comment specimen_code 
:/%Description%/A code identifying the specimen required by the observation service type.
*/
	int specimen_code;
	/*design comment specimen_priorities_code 
:/%Description%/The allowed priorities for obtaining the specimen.  
*/
	int specimen_priorities_code;
	/*design comment specimen_retention_time_amount 
:/%Description%/The usual time that a specimen for this observation service type is retained after the observation is completed.
*/
	int specimen_retention_time_amount;
	};

#endif
