
#ifndef CLASS087_HPP
#define CLASS087_HPP
class Patient_service_order
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_order" */
	/*design assoc Patient with Patient <"has_as_subject (0,1)", "may_be_the_subject_of (0,M)">
*/
	/*design assoc Patient_pathway_problem with Patient_pathway_problem <"targets (0,M)", "is_the_target_of (0,M)">
*/
	/*design assoc Patient_service_event with Patient_service_event <"is_fulfilled_by (0,M)", "fulfills (0,1)">
*/
	/*design assoc Patient_service_order with Patient_service_order <"is_parent_of (0,M)", "is_child_of (0,1)">
*/
	/*design assoc Service_catalog_item with Service_catalog_item <"is_an_instance_of (1,1)", "is_instantiated_as (0,M)">
*/

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning Healthcare services for a patient.
*/
public:
private:
	/*design comment callback_phone_number 
:/%Description%/A phone number to call back results from the service order.
*/
	int callback_phone_number;
	/*design comment caregiver_instruction_text 
:/%Description%/Free form instructional text containing caregiver instructions.
*/
	int caregiver_instruction_text;
	/*design comment charge_timing_code 
:/%Description%/A code determining the timing of billing the charges associated with the order service item.
*/
	int charge_timing_code;
	/*design comment charge_type_code 
:/%Description%/A code identifying someone or something other than the patient to be billed for this service.
*/
	int charge_type_code;
	/*design comment description 
:/%Description%/Free form text describing the patient service order.
*/
	int description;
	/*design comment duration_amount 
:/%Description%/The duration of the service order.
*/
	int duration_amount;
	/*design comment duration_code 
:/%Description%/A code depicting the duration the service item is to be provided.
*/
	int duration_code;
	/*design comment end_condition_code 
:/%Description%/A code depicting a condition that when satisfied should end the series of sevice orders.
*/
	int end_condition_code;
	/*design comment end_datetime 
:/%Description%/The date and time the provision of the service item is ordered to end.
*/
	int end_datetime;
	/*design comment frequency_code 
:/%Description%/A code depicting the number of times a service order is to be repeated within a specified time interval.
*/
	int frequency_code;
	/*design comment observation_identifier 
:/%Description%/The producer's usual or preferred identification of the test or observation.
*/
	int observation_identifier;
	/*design comment order_group_identifier 
:/%Description%/A composit identifier of a service order.  Including the order id and the ordering application.
*/
	int order_group_identifier;
	/*design comment order_identifier 
:/%Description%/A unique identifier for the patient service order.
*/
	int order_identifier;
	/*design comment order_placed_date 
:/%Description%/The date the order was placed.
*/
	int order_placed_date;
	/*design comment order_sequencing_code 
:/%Description%/A code used to determine the sequencing of an order service item.
*/
	int order_sequencing_code;
	/*design comment priority_code 
:/%Description%/A code indicating the relative priority of the service order.
*/
	int priority_code;
	/*design comment quantity_amount 
:/%Description%/The amount of the service item being ordered.
*/
	int quantity_amount;
	/*design comment quantity_code 
:/%Description%/A code indicating the quantity of the ordered item.
*/
	int quantity_code;
	/*design comment repeat_pattern_code 
:/%Description%/A code indicating if and how the service item is to be repeated.
*/
	int repeat_pattern_code;
	/*design comment requested_begin_datetime 
:/%Description%/The date and time the service order is requested to begin.
*/
	int requested_begin_datetime;
	/*design comment requested_end_datetime 
:/%Description%/The date and time the service order is requested to end.
*/
	int requested_end_datetime;
	/*design comment response_request_code 
:/%Description%/A code used to allow the placer applicatio to determine the amount of information to be returned from the filler.
*/
	int response_request_code;
	/*design comment service_identifier 
:/%Description%/A unique identifier for the service to be provided by the order service item.
*/
	int service_identifier;
	/*design comment special_handling_text 
:/%Description%/Free form text decribing special handling for the patient or specimen while carrying out the service order.
*/
	int special_handling_text;
	/*design comment start_datetime 
:/%Description%/The start date and time for the provision of the service item.
*/
	int start_datetime;
	/*design comment status_code 
:/%Description%/A code indicating the status of the patient service order.
*/
	int status_code;
	/*design comment time_interval_code 
:/%Description%/A code indicating the time interval for the ordered service item.
*/
	int time_interval_code;
	/*design comment transport_mode_code 
:/%Description%/A code indicating how (or whether) to tranport a patient.
*/
	int transport_mode_code;
	};

#endif
