
#ifndef CLASS093_HPP
#define CLASS093_HPP
class Pharmacy_service_dispense
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Pharmacy_service_event" */
	/*design part Pharmacy_service_dispense_item class Pharmacy_service_dispense_item <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharmacy_service_dispense_route class Pharmacy_service_dispense_route <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Pharmacy_service_give with Pharmacy_service_give <"is_referenced_on (0,M)", "references (1,1)">
*/

	/*design comment 
:/%Description%/Notification of a pharmacy treatment dispense.
*/
public:
private:
	/*design comment daily_dose_amount 
:/%Description%/The daily dose amount.
*/
	int daily_dose_amount;
	/*design comment days_supply_quantity 
:/%Description%/The number of days supply of a medication dispensed.
*/
	int days_supply_quantity;
	/*design comment dispense_description 
:/%Description%/Free form text notes to the person dispensing the medication .
*/
	int dispense_description;
	/*design comment dispense_to_location_description 
:/%Description%/The deliver-to address for the medication.
*/
	int dispense_to_location_description;
	/*design comment dispensed_amount 
:/%Description%/The amount of medication dispensed.
*/
	int dispensed_amount;
	/*design comment dispensed_datetime 
:/%Description%/The date and time the medication is dispensed.
*/
	int dispensed_datetime;
	/*design comment dosage_form_code 
:/%Description%/The dosage of the medication dispensed.
*/
	int dosage_form_code;
	/*design comment formulary_status_code 
:/%Description%/A code depicting the formulary status of a dispensed medication.
*/
	int formulary_status_code;
	/*design comment lot_number 
:/%Description%/Medication lot number.
*/
	int lot_number;
	/*design comment medication_dispense_quantity 
:/%Description%/A count of the number of times the medication was dispensed.
*/
	int medication_dispense_quantity;
	/*design comment medication_expiration_date 
:/%Description%/Expiration date of the medication.
*/
	int medication_expiration_date;
	/*design comment medication_identifier 
:/%Description%/An identification of the medication dispensed.
*/
	int medication_identifier;
	/*design comment medication_name 
:/%Description%/The name of the medication dispensed.
*/
	int medication_name;
	/*design comment needs_human_review_indicator 
:/%Description%/An indicator that the pharmacist filling the order needs to pay special attention to provider instructions.
*/
	int needs_human_review_indicator;
	/*design comment prescription_number 
:/%Description%/A unique identifier assigned to the medication dispensement.
*/
	int prescription_number;
	/*design comment rejection_reason_text 
:/%Description%/Free form text describing the reason the medication dispensement was rejected.
*/
	int rejection_reason_text;
	/*design comment special_instruction_description 
:/%Description%/Special instuctions.
*/
	int special_instruction_description;
	/*design comment substitution_code 
:/%Description%/A code identifying the potential of being able to substitute another pharmaceutical.
*/
	int substitution_code;
	};

#endif
