
#ifndef CLASS004_HPP
#define CLASS004_HPP
class Ag_address
	{
	/*design in subject "Attribute_groups" */

	/*design comment 
:/%Description%/An attribute group containing a collection of attributes related to an address.



The contents of the address attribute groups were influenced by the specification of the AD and XAD datatypes in the HL7 2.3 standard.
*/
public:
private:
	/*design comment address_line_text 
:/%Description%/A string of text which aids in the proper routing and handling of mail.
*/
	int address_line_text;
	/*design comment address_type_code 
:/%Description%/A code depicting the type of address [current, temporary, permanent, mailing, firm/business, office, home, birth (nee), country of origin).
*/
	int address_type_code;
	/*design comment census_tract_code 
:/%Description%/A identifier assigned to the census track the address is part of.
*/
	int census_tract_code;
	/*design comment city_name 
:/%Description%/The name of the city. 
*/
	int city_name;
	/*design comment country_code 
:/%Description%/The name of a country.
*/
	int country_code;
	/*design comment county_parish_code 
:/%Description%/A code depicting the county/parish within a state/province.
*/
	int county_parish_code;
	/*design comment geographic_designation_text 
:/%Description%/Text of geographic designations in addition to state/province, country, census tract, and county.  Includes bioregion and SMSA.
*/
	int geographic_designation_text;
	/*design comment postal_zone_code 
:/%Description%/A code assign by a postal authority to aid in the routing and proper delivery of mail world wide.
*/
	int postal_zone_code;
	/*design comment state_province_code 
:/%Description%/The name (or abbreviated name) of a state of the United states or a province name.
*/
	int state_province_code;
	/*design comment street_address 
:/%Description%/The name of the street within the city or district.  {1st street, Main street, 5th ave., ...}
*/
	int street_address;
	};

#endif
