
#ifndef CLASS080_HPP
#define CLASS080_HPP
class Patient_pathway_goal
	{
	/*design in subject "Patient_clinical_pathway" */
	/*design in subject "Patient_encounters" */
	/*design assoc Goal_master with Goal_master <"is_an_instance_of (1,1)", "is_instanciated_by (0,M)">
*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/A pathway goal specific to a particular patient.
*/
public:
private:
	/*design comment classification_code 
:/%Description%/A code used to catagorize patient pathway goals.
*/
	int classification_code;
	/*design comment established_datetime 
:/%Description%/The date/time the patient goal is initially created.
*/
	int established_datetime;
	/*design comment evaluation_code 
:/%Description%/A code depicting the progress towards achievement of the goal (achieved, ahead of schedule, delayed, failed to achieve, ...)
*/
	int evaluation_code;
	/*design comment evaluation_comment_text 
:/%Description%/Comment text associated with the goal evaluation.
*/
	int evaluation_comment_text;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the patient pathway goal.
*/
	int identifier;
	/*design comment life_cycle_datetime 
:/%Description%/The effective date/time of the most recently assigned goal life cycle.
*/
	int life_cycle_datetime;
	/*design comment life_cycle_status_code 
:/%Description%/A code indicating the state of the goal (active, canceled, inactive, suspended, ...)
*/
	int life_cycle_status_code;
	/*design comment management_discipline_code 
:/%Description%/A code indicating the caregiver disciplines responsible for managing a patient pathway goal.
*/
	int management_discipline_code;
	/*design comment next_review_datetime 
:/%Description%/The date/time of the next scheduled goal review.
*/
	int next_review_datetime;
	/*design comment previous_review_datetime 
:/%Description%/The second most recent date/time the goal was reviewed.
*/
	int previous_review_datetime;
	/*design comment review_datetime 
:/%Description%/The date/time of the most recent review of the patient pathway goal.
*/
	int review_datetime;
	/*design comment review_interval_code 
:/%Description%/A code indication the review interval for the patient pathway goal.
*/
	int review_interval_code;
	/*design comment review_status_code 
:/%Description%/A code depicting the review status of the patient pathway goal.
*/
	int review_status_code;
	/*design comment target_type_code 
:/%Description%/A code used to identify the individual or group for whom the goal has been established for the benefit of a particular patient (family group, family member, patient, ...)
*/
	int target_type_code;
	};

#endif
