
#ifndef CLASS082_HPP
#define CLASS082_HPP
class Patient_pathway_problem
	{
	/*design in subject "Patient_clinical_pathway" */
	/*design in subject "Patient_encounters" */
	/*design assoc Patient_problem with Patient_problem <"is_a (1,1)", "is_a (0,1)">
*/
	/*design assoc Problem_master with Problem_master <"is_an_instance_of (1,1)", "is_instanciated_as (0,M)">
*/

	/*design comment 
:/%Description%/A problem addressed by a patient pathway.
*/
public:
private:
	/*design comment actual_resolution_datetime 
:/%Description%/The date the patient problem is resolved.
*/
	int actual_resolution_datetime;
	/*design comment classification_code 
:/%Description%/A code used to categorize the patient problem.
*/
	int classification_code;
	/*design comment confirmation_status_code 
:/%Description%/A code depicting the level of verification for the patient problem (confirmed, defferential, provisional, rule-out, ...)
*/
	int confirmation_status_code;
	/*design comment estimated_resolution_datetime 
:/%Description%/The estimated date and time of the patient problem resolution.
*/
	int estimated_resolution_datetime;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the patient problem.
*/
	int identifier;
	/*design comment lifecycle_status_code 
:/%Description%/A code depicting the current status of the problem (active, active-improving, active-stable, active-worsening, inactive, resolved, ...)
*/
	int lifecycle_status_code;
	/*design comment managment_discipline_code 
:/%Description%/A code depicting the caregiver discipline responsible for managing the patient problem.
*/
	int managment_discipline_code;
	/*design comment onset_datetime 
:/%Description%/The date/time the patient problem began.
*/
	int onset_datetime;
	/*design comment onset_description 
:/%Description%/A textual description of when the problem began.
*/
	int onset_description;
	/*design comment other_awareness_description 
:/%Description%/An indication of the patient's family or significant other's comprehension of the actual problem/prognosis.
*/
	int other_awareness_description;
	/*design comment persistance_description 
:/%Description%/A textual description of the perserverance of a master problem.
*/
	int persistance_description;
	/*design comment probability_percentage 
:/%Description%/A quantitative numerical representation of the certainty that the problem exist for the patient.
*/
	int probability_percentage;
	/*design comment problem_awareness_description 
:/%Description%/A indication of the patient's comprehension of the problem.
*/
	int problem_awareness_description;
	/*design comment problem_certainty_text 
:/%Description%/A qualitative representation of the certainty of the problem (high, medium, low)
*/
	int problem_certainty_text;
	/*design comment prognosis_awareness_description 
:/%Description%/A indication of the patient's awareness of the prognosis for the problem.
*/
	int prognosis_awareness_description;
	/*design comment prognosis_description 
:/%Description%/A textual description of the prognosis for a patient problem.
*/
	int prognosis_description;
	/*design comment rank_text 
:/%Description%/Prioritization of the problem (numeric ranking or the use of words such as primary, secondary, ...)
*/
	int rank_text;
	/*design comment sensitivity_code 
:/%Description%/A code depicting the level of security or sensitivity surrounding the problem.
*/
	int sensitivity_code;
	/*design comment status_datetime 
:/%Description%/The effective data and time of the current problem status.
*/
	int status_datetime;
	};

#endif
