
#ifndef CLASS070_HPP
#define CLASS070_HPP
class Patient_clinical_item
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Healthcare_service_provider with Healthcare_service_provider <"is_identified_by (1,1)", "identifies (0,M)">
*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
*/
	/*design assoc Patient_clinical_item_source with Patient_clinical_item_source <"is_obtained_from (0,1)", "is_the_source_of (0,M)">
*/
	/*design assoc Patient_encounter with Patient_encounter <"is_present_in (1,M)", "has (0,M)">
*/

	/*design comment 
:/%Description%/Information about a patient, relevant to the health or treatment of that patient, that is recorded by or on behalf of a Healthcare practitioner.



ISSUE: the specializations of patient clinical items may be duplicates of information found elsewhere in the model.  Of particular concern is the apparent overlap between diagnosis, patient condition, patient problem, and patient pathway problem.
*/
public:
private:
	/*design comment assessment_datetime 
:/%Description%/The date and time the clinical state item was identified.
*/
	int assessment_datetime;
	/*design comment assessment_text 
:/%Description%/A textual description of the clinical state item.
*/
	int assessment_text;
	/*design comment comment_text 
:/%Description%/Free form comentary text concerning a patient clinical item.
*/
	int comment_text;
	/*design comment description 
:/%Description%/Free form text associated with the clinical item.
*/
	int description;
	/*design comment effective_date 
:/%Description%/The date the clinical item becomes effective.
*/
	int effective_date;
	/*design comment identifier 
:/%Description%/A unique identifier for the clinical state item.
*/
	int identifier;
	/*design comment termination_date 
:/%Description%/The date the clinical item is no longer in effect.
*/
	int termination_date;
	/*design comment type_code 
:/%Description%/The type of clinical item. {advance directive, patient alert, diagnosis, reported medication, reported patient accident}
*/
	int type_code;
	};

#endif
