
#ifndef CLASS069_HPP
#define CLASS069_HPP
class Patient_billing_account
	{
	/*design in subject "Healthcare_finances" */
	/*design in subject "Patient_billing_account" */
	/*design assoc Guarantor_contract with Guarantor_contract <"has_payment_guaranteed_by (0,M)", "provides_payment_guarantee_for (1,1)">
*/
	/*design assoc Patient with Patient <"belongs_to (1,1)", "has (0,M)">
*/
	/*design assoc Patient_billing_account with Patient_billing_account <"is_the_prior_account_for (0,1)", "has_as_a_prior_account (0,1)">
*/
	/*design assoc Patient_service_event with Patient_service_event <"has_charges_for (0,M)", "is_charged_to (0,1)">
*/

	/*design comment 
:/%Description%/A financial account established for a patient to track the billable amount for services received by the patient and payment made for those services.
*/
public:
private:
	/*design comment account_identifier 
:/%Description%/The unique identifier of a patient account.
*/
	int account_identifier;
	/*design comment adjustment_code 
:/%Description%/A code depicting the type of adjustment applied to the patient billing account.
*/
	int adjustment_code;
	/*design comment authorization_information 
:/%Description%/The authorization number or code recieved from the insurance company.
*/
	int authorization_information;
	/*design comment billing_status_code 
:/%Description%/A code indicating the status of billing.
*/
	int billing_status_code;
	/*design comment certification_required_indicator 
:/%Description%/A indicator as to whether a certification is required.
*/
	int certification_required_indicator;
	/*design comment current_unpaid_balance_amount 
:/%Description%/The current unpaid balance of a patient account.
*/
	int current_unpaid_balance_amount;
	/*design comment delete_date 
:/%Description%/The date the patient billing account was deleted.
*/
	int delete_date;
	/*design comment deleted_account_reason_code 
:/%Description%/A code depicting the reason a patient billing account has been deleted.
*/
	int deleted_account_reason_code;
	/*design comment expected_insurance_plan_count 
:/%Description%/A count of the number of insurance plans expected to provide insurance coverage for this patient account.
*/
	int expected_insurance_plan_count;
	/*design comment expected_payment_source_code 
:/%Description%/A code indicating the expected payment source.
*/
	int expected_payment_source_code;
	/*design comment notice_of_admission_date 
:/%Description%/The date a notice ofn admission was sent.
*/
	int notice_of_admission_date;
	/*design comment notice_of_admission_indicator 
:/%Description%/A indicator documenting wheather the insurance company requires a written notice of admission.
*/
	int notice_of_admission_indicator;
	/*design comment patient_financial_class_code 
:/%Description%/A code depicting a category for the source of payment.
*/
	int patient_financial_class_code;
	/*design comment price_schedule_identifier 
:/%Description%/A reference to the unique identifier of the price schedule to be used for charges in the patient billing account.
*/
	int price_schedule_identifier;
	/*design comment purge_status_code 
:/%Description%/A code depicting the purge status of the patient billing account.
*/
	int purge_status_code;
	/*design comment purge_status_date 
:/%Description%/The date the patient billing account was purged.
*/
	int purge_status_date;
	/*design comment report_of_eligibility_date 
:/%Description%/The date a report of eligiblity was recieved.
*/
	int report_of_eligibility_date;
	/*design comment retention_indicator 
:/%Description%/A indicator to control the purge of the patient billing account and related data.
*/
	int retention_indicator;
	/*design comment signature_on_file_date 
:/%Description%/The date authorization to bill was obtained.
*/
	int signature_on_file_date;
	/*design comment special_program_code 
:/%Description%/A code indicating a special program governing the billing account.
*/
	int special_program_code;
	/*design comment stoploss_limit_indicator 
:/%Description%/A indicator identifying wheather the patient has reached the stoploss limit established in the contract master.
*/
	int stoploss_limit_indicator;
	/*design comment suspend_charges_indicator 
:/%Description%/An indicator as to whether charges should be suspended fo a patien,
*/
	int suspend_charges_indicator;
	/*design comment total_adjustment_amount 
:/%Description%/The total amount of the adjustment made to the patient billing account.
*/
	int total_adjustment_amount;
	/*design comment total_charge_amount 
:/%Description%/The total charge amount of the patient billing account.
*/
	int total_charge_amount;
	/*design comment total_payment_amount 
:/%Description%/The total of the payments made on a patient billing account.
*/
	int total_payment_amount;
	};

#endif
