
#ifndef CLASS032_HPP
#define CLASS032_HPP
class Encounter_drg
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design assoc Inpatient_encounter with Inpatient_encounter <"is_assigned_to (1,1)", "is_assigned (0,M)">
*/
	/*design assoc Organization with Organization <"is_assigned_by (1,1)", "assigns (0,M)">
*/

	/*design comment 
:/%Description%/A broad categorization, based upon included procedures and diagnoses, that applies to the Healthcare event as a whole.  Used for grouping and evaluating Healthcare encounters with respect to duration of care and cost.
*/
public:
private:
	/*design comment approval_indicator 
:/%Description%/An indication that the DRG assignment has been approved by a reviewing entity.
*/
	int approval_indicator;
	/*design comment assigned_datetime 
:/%Description%/The date and time the DRG was assigned to the encounter.
*/
	int assigned_datetime;
	/*design comment confidential_indicator 
:/%Description%/An indication as to whether the DRG assigned to this encounter contains a confidential diagnosis..
*/
	int confidential_indicator;
	/*design comment cost_outlier_amount 
:/%Description%/The amount of the encounter cost that is beyond the standard cost amount for the assigned DRG.
*/
	int cost_outlier_amount;
	/*design comment description 
:/%Description%/A description providing additional information about the assignment of the DRG to the encounter.
*/
	int description;
	/*design comment grouper_review_code 
:/%Description%/A code indicating that the grouper results have been reviewed and approved.
*/
	int grouper_review_code;
	/*design comment grouper_version_identifier 
:/%Description%/The version and type of the grouper used to derive the DRG.
*/
	int grouper_version_identifier;
	/*design comment outlier_days_amount 
:/%Description%/The number of days beyond the standard day count for the assigned DRG.
*/
	int outlier_days_amount;
	/*design comment outlier_reimbursement_amount 
:/%Description%/The portion of the total reimbursement amount designated for reimbursement of outlier days or costs.
*/
	int outlier_reimbursement_amount;
	/*design comment outlier_type_code 
:/%Description%/A code depicting the type of outlier {day, cost} associated with the encounter DRG.
*/
	int outlier_type_code;
	};

#endif
