
#ifndef CLASS076_HPP
#define CLASS076_HPP
class Patient_encounter
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design part Patient_service_event class Patient_service_event <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Person_birth_event class Person_birth_event <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Appointment with Appointment <"is_scheduled_by (0,M)", "schedules (1,M)">
*/
	/*design assoc Patient with Patient <"involves (1,1)", "is_involved_in (1,M)">
*/
	/*design assoc Patient_diagnosis with Patient_diagnosis <"has_assigned_to_it (0,M)", "is_assigned_to (1,1)">
*/
	/*design assoc Patient_encounter with Patient_encounter <"precedes (0,1)", "follows (0,M)">
*/
	/*design assoc Patient_problem with Patient_problem <"involves (0,M)", "is_involved_in (1,M)">
*/
	/*design assoc Preauthorization with Preauthorization <"is_authorized_by (0,1)", "authorizes (1,M)">
*/

	/*design comment 
:/%Description%/An interaction between a patient and a Healthcare participant for the purpose of providing patient services or assessing the health status of a patient.
*/
public:
private:
	/*design comment adminstrative_outcome 
:/%Description%/Type of further action, if any, planned as part of the care of the patient. {appointment given, appointment to be given,  admission arranged, patient admitted}
*/
	int adminstrative_outcome;
	/*design comment cancellation_reason_code 
:/%Description%/A code depicting the reason for cancellation of an encounter.
*/
	int cancellation_reason_code;
	/*design comment counseling_percentage_amount 
:/%Description%/A percentage of patient encounter allocated to counseling.
*/
	int counseling_percentage_amount;
	/*design comment description 
:/%Description%/A textual description of the patient encounter.
*/
	int description;
	/*design comment encounter_classification_code 
:/%Description%/A classification of a patient enounter.
*/
	int encounter_classification_code;
	/*design comment end_datetime 
:/%Description%/The date and time that the patient encounter ends.
*/
	int end_datetime;
	/*design comment expected_insurance_plan_count 
:/%Description%/A count of the number of insurance plans that may provide coverage for this patient encounter.
*/
	int expected_insurance_plan_count;
	/*design comment first_similar_illness_date 
:/%Description%/The date the patient first experienced a similar illness.  Used to determine pre-existing conditions
*/
	int first_similar_illness_date;
	/*design comment follow_up_type_code 
:/%Description%/A code indicating the type of follow-up required after completion of the patient encounter.
*/
	int follow_up_type_code;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the patient encouter.
*/
	int identifier;
	/*design comment patient_classification_code 
:/%Description%/A classification of the patient.
*/
	int patient_classification_code;
	/*design comment priority_code 
:/%Description%/A code depicting the relative priority of the patient encounter.
*/
	int priority_code;
	/*design comment purpose_code 
:/%Description%/A code depicting the purpose of the patient encounter.
*/
	int purpose_code;
	/*design comment record_signing_datetime 
:/%Description%/The data and time the documentation of the patient encounter is signed.
*/
	int record_signing_datetime;
	/*design comment special_courtesies_indicator 
:/%Description%/An indication as to whether or not the patient is to be extended special courtesies.
*/
	int special_courtesies_indicator;
	/*design comment start_datetime 
:/%Description%/The date and time that the patient encouter begins.
*/
	int start_datetime;
	/*design comment status_code 
:/%Description%/A code depicting the status of the patient encounter.
*/
	int status_code;
	/*design comment transport_requirement_code 
:/%Description%/A code depicting the type of transportation required or arranged for the transport of the patient. {stretcher, wheelchair, ambulance, taxi}
*/
	int transport_requirement_code;
	/*design comment urgency_code 
:/%Description%/A code depicting the urgency of the patient encounter.
*/
	int urgency_code;
	};

#endif
