
#ifndef CLASS107_HPP
#define CLASS107_HPP
#include "Class085.hpp"
class Radiation_patient_service: public Patient_service_event
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */

	/*design comment 
:/%Description%/A patient service that includes the administration of radiation as a diagnostic or therapeutic aid.



ISSUE:  Have all of the unique aspects of radiation therapy been captured?  Can the generic patient service event suffice for what is currently captured?  Are more specializations of patient service event needed?
*/
public:
private:
	/*design comment administration_code 
:/%Description%/A code indication the type of administration for the radiation patient service.
*/
	int administration_code;
	/*design comment beam_code 
:/%Description%/A code indicating the type of beam used for the radiation patient service.
*/
	int beam_code;
	/*design comment cns_irradiation_code 
:/%Description%/The cns irradiation code of the radiation patient service.
*/
	int cns_irradiation_code;
	/*design comment contrast_media_quantity 
:/%Description%/Milliliters of contrast media administered to patient.
*/
	int contrast_media_quantity;
	/*design comment diagnostic_type_code 
:/%Description%/A code identifying the diagnostic type of the radiation patient service.
*/
	int diagnostic_type_code;
	/*design comment disposition_code 
:/%Description%/A code indicating the disposition of the radiation patient service.
*/
	int disposition_code;
	/*design comment films_used_quantity 
:/%Description%/Number of films used in procedure.
*/
	int films_used_quantity;
	/*design comment fluoroscopy_minutes_quantity 
:/%Description%/Number of minutes patient exposed to fluoroscopy.
*/
	int fluoroscopy_minutes_quantity;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the radiation patient service.
*/
	int identifier;
	/*design comment mammagraphy_indicator 
:/%Description%/Indicates whether or not the exam performed was a mammographic procedure.
*/
	int mammagraphy_indicator;
	/*design comment material_code 
:/%Description%/A code indicating the material need for the radiation patient service.
*/
	int material_code;
	/*design comment palpable_mass_indicator 
:/%Description%/Indicates whether the patient has a palpable (lacatable by touch) mass.
*/
	int palpable_mass_indicator;
	/*design comment repeat_films_quantity 
:/%Description%/Number of repeat films done.
*/
	int repeat_films_quantity;
	/*design comment result_code 
:/%Description%/A code for the result associated with the radiation patient service.
*/
	int result_code;
	/*design comment result_text 
:/%Description%/Text indicating the radiologist findings.
*/
	int result_text;
	/*design comment screen_type_code 
:/%Description%/A code identifying the screen type used with the radiation patient service.
*/
	int screen_type_code;
	/*design comment sequence_code 
:/%Description%/A code indicating the sequence requirements of the radiation patient service.
*/
	int sequence_code;
	/*design comment technologist_comment_text 
:/%Description%/Text of technologist;s comments about the procedure.
*/
	int technologist_comment_text;
	/*design comment tissue_irradiation_method_code 
:/%Description%/A code used to identify the tissue irradiation method for the radiation patient service.
*/
	int tissue_irradiation_method_code;
	/*design comment view_code 
:/%Description%/A code identifying the view of the radiation patient service.
*/
	int view_code;
	};

#endif
